mac

  1. S

    Logic Pro Logic Pro for older Macs

    I've got an old iMac 2008 which I bought to run Logic Pro. However, the latest demo version requires a Mac from 2012 onwards. Is there a way of downloading an older version? For example 10.3.2? Ideally I'd like a trial rather than buy outright from the store. I've searched the forum and found...
Top